diff --git a/python/compare-locales/compare_locales/paths.py b/python/compare-locales/compare_locales/paths.py
index f72b3a2e72..0ee4eb36c9 100644
--- a/python/compare-locales/compare_locales/paths.py
+++ b/python/compare-locales/compare_locales/paths.py
@@ -4,15 +4,15 @@
 
 import os.path
 import os
-from ConfigParser import ConfigParser, NoSectionError, NoOptionError
-from urlparse import urlparse, urljoin
-from urllib import pathname2url, url2pathname
-from urllib2 import urlopen
+from configparser import ConfigParser, NoSectionError, NoOptionError
+from urllib.parse import urlparse, urljoin
+from urllib.request import pathname2url, url2pathname
+from urllib.request import urlopen
 from collections import defaultdict
 from compare_locales import util
 
 
-class L10nConfigParser(object):
+class L10nConfigParser:
     '''Helper class to gather application information from ini files.
 
     This class is working on synchronous open to read files or web data.
@@ -58,7 +58,7 @@ class L10nConfigParser(object):
         filterurl = urljoin(self.inipath, 'filter.py')
         try:
             l = {}
-            execfile(url2pathname(urlparse(filterurl).path), {}, l)
+            exec(compile(open(url2pathname(urlparse(filterurl).path), "rb").read(), url2pathname(urlparse(filterurl).path), 'exec'), {}, l)
             if 'test' in l and callable(l['test']):
                 filters = [l['test']]
             else:
@@ -151,11 +151,9 @@ class L10nConfigParser(object):
         """Iterate over all dirs and base paths for this l10n.ini as well
         as the included ones.
         """
-        for t in self.dirsIter():
-            yield t
+        yield from self.dirsIter()
         for child in self.children:
-            for t in child.directories():
-                yield t
+            yield from child.directories()
 
     def allLocales(self):
         """Return a list of all the locales of this project"""
@@ -214,7 +212,7 @@ class SourceTreeConfigParser(L10nConfigParser):
         return (basepath, )
 
 
-class File(object):
+class File:
 
     def __init__(self, fullpath, file, module=None, locale=None):
         self.fullpath = fullpath
@@ -225,7 +223,7 @@ class File(object):
 
     def getContents(self):
         # open with universal line ending support and read
-        return open(self.fullpath, 'rU').read()
+        return open(self.fullpath).read()
 
     def __hash__(self):
         f = self.file
@@ -245,7 +243,7 @@ class File(object):
         return cmp(self.file, other.file)
 
 
-class EnumerateDir(object):
+class EnumerateDir:
     ignore_dirs = ['CVS', '.svn', '.hg', '.git']
 
     def __init__(self, basepath, module='', locale=None, ignore_subdirs=[]):
@@ -287,7 +285,7 @@ class EnumerateDir(object):
                            self.module, self.locale)
 
 
-class LocalesWrap(object):
+class LocalesWrap:
 
     def __init__(self, base, module, locales, ignore_subdirs=[]):
         self.base = base
@@ -302,7 +300,7 @@ class LocalesWrap(object):
                                         self.ignore_subdirs))
 
 
-class EnumerateApp(object):
+class EnumerateApp:
     reference = 'en-US'
 
     def __init__(self, inipath, l10nbase, locales=None):
@@ -355,7 +353,7 @@ class EnumerateApp(object):
         code and an directory enumerator will be given.
         '''
         dirmap = dict(self.config.directories())
-        mods = dirmap.keys()
+        mods = list(dirmap.keys())
         mods.sort()
         for mod in mods:
             if self.reference == 'en-US':
diff --git a/python/compare-locales/compare_locales/tests/__init__.py b/python/compare-locales/compare_locales/tests/__init__.py
index 8808d78f4c..458a14bc10 100644
--- a/python/compare-locales/compare_locales/tests/__init__.py
+++ b/python/compare-locales/compare_locales/tests/__init__.py
@@ -5,11 +5,12 @@
 '''Mixins for parser tests.
 '''
 
-from itertools import izip_longest
+
 from pkg_resources import resource_string
 import re
 
 from compare_locales.parser import getParser
+from itertools import zip_longest
 
 
 class ParserTestMixin():
@@ -39,7 +40,7 @@ class ParserTestMixin():
         '''
         self.parser.readContents(content)
         entities = [entity for entity in self.parser]
-        for entity, ref in izip_longest(entities, refs):
+        for entity, ref in zip_longest(entities, refs):
             self.assertTrue(entity, 'excess reference entity')
             self.assertTrue(ref, 'excess parsed entity')
             self.assertEqual(entity.val, ref[1])
diff --git a/python/compare-locales/compare_locales/tests/test_checks.py b/python/compare-locales/compare_locales/tests/test_checks.py
index b995d43f90..0b43f2ddb9 100644
--- a/python/compare-locales/compare_locales/tests/test_checks.py
+++ b/python/compare-locales/compare_locales/tests/test_checks.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
@@ -111,9 +110,9 @@ class TestDTDs(BaseHelper):
                    (('warning', (0, 0), 'Referencing unknown entity `not`',
                      'xmlparse'),))
         # make sure we only handle translated entity references
-        self._test(u'''<!ENTITY foo "This is &ƞǿŧ; good">
+        self._test('''<!ENTITY foo "This is &ƞǿŧ; good">
 '''.encode('utf-8'),
-            (('warning', (0, 0), u'Referencing unknown entity `ƞǿŧ`',
+            (('warning', (0, 0), 'Referencing unknown entity `ƞǿŧ`',
               'xmlparse'),))
 
     def testErrorFirstLine(self):
@@ -233,10 +232,10 @@ class TestAndroid(unittest.TestCase):
     Make sure we're hitting our extra rules only if
     we're passing in a DTD file in the embedding/android module.
     """
-    apos_msg = u"Apostrophes in Android DTDs need escaping with \\' or " + \
-               u"\\u0027, or use \u2019, or put string in quotes."
-    quot_msg = u"Quotes in Android DTDs need escaping with \\\" or " + \
-               u"\\u0022, or put string in apostrophes."
+    apos_msg = "Apostrophes in Android DTDs need escaping with \\' or " + \
+               "\\u0027, or use \u2019, or put string in quotes."
+    quot_msg = "Quotes in Android DTDs need escaping with \\\" or " + \
+               "\\u0022, or put string in apostrophes."
 
     def getEntity(self, v):
         return Entity(v, lambda s: s, (0, len(v)), (), (0, 0), (), (),
@@ -267,7 +266,7 @@ class TestAndroid(unittest.TestCase):
                          (('warning', (0, 0),
                            'Referencing unknown entity `ref`', 'xmlparse'),))
         # no report on stray ampersand or quote, if not completely quoted
-        for i in xrange(3):
+        for i in range(3):
             # make sure we're catching unescaped apostrophes,
             # try 0..5 backticks
             l10n = self.getDTDEntity("\\"*(2*i) + "'")
@@ -323,7 +322,7 @@ class TestAndroid(unittest.TestCase):
                          (('error', 12, 'truncated \\uXXXX escape',
                            'android'),))
         # broken unicode escape, try to set the error off
-        l10n = self.getDTDEntity(u"\u9690"*14+"\u006"+"  "+"\u0064")
+        l10n = self.getDTDEntity("\u9690"*14+"\u006"+"  "+"\u0064")
         self.assertEqual(tuple(checker.check(ref, l10n)),
                          (('error', 14, 'truncated \\uXXXX escape',
                            'android'),))
diff --git a/python/compare-locales/compare_locales/tests/test_dtd.py b/python/compare-locales/compare_locales/tests/test_dtd.py
index 87ddcde301..cc8a642c88 100644
--- a/python/compare-locales/compare_locales/tests/test_dtd.py
+++ b/python/compare-locales/compare_locales/tests/test_dtd.py
@@ -47,7 +47,7 @@ class TestDTD(ParserTestMixin, unittest.TestCase):
             return qr.sub(lambda m: m.group(0) == '"' and "'" or '"', s)
 
         self._test(quot2apos(self.quoteContent),
-                   map(lambda t: (t[0], quot2apos(t[1])), self.quoteRef))
+                   [(t[0], quot2apos(t[1])) for t in self.quoteRef])
 
     def test_parsed_ref(self):
         self._test('''<!ENTITY % fooDTD SYSTEM "chrome://brand.dtd">
@@ -70,7 +70,7 @@ class TestDTD(ParserTestMixin, unittest.TestCase):
         for e in p:
             self.assertEqual(e.key, 'foo')
             self.assertEqual(e.val, 'value')
-        self.assert_('MPL' in p.header)
+        self.assertTrue('MPL' in p.header)
         p.readContents('''\
 <!-- This Source Code Form is subject to the terms of the Mozilla Public
    - License, v. 2.0. If a copy of the MPL was not distributed with this file,
@@ -80,7 +80,7 @@ class TestDTD(ParserTestMixin, unittest.TestCase):
         for e in p:
             self.assertEqual(e.key, 'foo')
             self.assertEqual(e.val, 'value')
-        self.assert_('MPL' in p.header)
+        self.assertTrue('MPL' in p.header)
 
 if __name__ == '__main__':
     unittest.main()
diff --git a/python/compare-locales/compare_locales/tests/test_ini.py b/python/compare-locales/compare_locales/tests/test_ini.py
index 4c8cc03e15..d057c2860f 100644
--- a/python/compare-locales/compare_locales/tests/test_ini.py
+++ b/python/compare-locales/compare_locales/tests/test_ini.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
@@ -24,7 +23,7 @@ class TestIniParser(ParserTestMixin, unittest.TestCase):
 [Strings]
 TitleText=Some Title
 ''', (('TitleText', 'Some Title'),))
-        self.assert_('UTF-8' in self.parser.header)
+        self.assertTrue('UTF-8' in self.parser.header)
 
     def testMPL2_Space_UTF(self):
         self._test(mpl2 + '''
@@ -32,14 +31,14 @@ TitleText=Some Title
 [Strings]
 TitleText=Some Title
 ''', (('TitleText', 'Some Title'),))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def testMPL2_Space(self):
         self._test(mpl2 + '''
 [Strings]
 TitleText=Some Title
 ''', (('TitleText', 'Some Title'),))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def testMPL2_MultiSpace(self):
         self._test(mpl2 + '''\
@@ -49,7 +48,7 @@ TitleText=Some Title
 [Strings]
 TitleText=Some Title
 ''', (('TitleText', 'Some Title'),))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def testMPL2_JunkBeforeCategory(self):
         self._test(mpl2 + '''\
@@ -59,7 +58,7 @@ TitleText=Some Title
 ''', (('_junk_\\d+_0-213$', mpl2 + '''\
 Junk
 [Strings]'''), ('TitleText', 'Some Title')))
-        self.assert_('MPL' not in self.parser.header)
+        self.assertTrue('MPL' not in self.parser.header)
 
     def test_TrailingComment(self):
         self._test(mpl2 + '''
@@ -67,7 +66,7 @@ Junk
 TitleText=Some Title
 ;Stray trailing comment
 ''', (('TitleText', 'Some Title'),))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def test_SpacedTrailingComments(self):
         self._test(mpl2 + '''
@@ -78,7 +77,7 @@ TitleText=Some Title
 ;Second stray comment
 
 ''', (('TitleText', 'Some Title'),))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def test_TrailingCommentsAndJunk(self):
         self._test(mpl2 + '''
@@ -96,7 +95,7 @@ Junk
 ;Second stray comment
 
 ''')))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def test_JunkInbetweenEntries(self):
         self._test(mpl2 + '''
@@ -109,7 +108,7 @@ Good=other string
 ''', (('TitleText', 'Some Title'), ('_junk_\\d+_231-236$', '''\
 
 Junk'''), ('Good', 'other string')))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
 if __name__ == '__main__':
     unittest.main()
diff --git a/python/compare-locales/compare_locales/tests/test_merge.py b/python/compare-locales/compare_locales/tests/test_merge.py
index c006edbb5d..c87457943a 100644
--- a/python/compare-locales/compare_locales/tests/test_merge.py
+++ b/python/compare-locales/compare_locales/tests/test_merge.py
@@ -12,7 +12,7 @@ from compare_locales.paths import File
 from compare_locales.compare import ContentComparer
 
 
-class ContentMixin(object):
+class ContentMixin:
     maxDiff = None  # we got big dictionaries to compare
     extension = None  # OVERLOAD
 
@@ -58,7 +58,7 @@ eff = lEff
              'details': {}
              }
         )
-        self.assert_(not os.path.exists(os.path.join(cc.merge_stage,
+        self.assertTrue(not os.path.exists(os.path.join(cc.merge_stage,
                                                      'l10n.properties')))
 
     def testMissing(self):
@@ -81,7 +81,7 @@ eff = effVal""")
              'details': {
                  'children': [
                      ('l10n.properties',
-                         {'value': {'missingEntity': [u'eff', u'foo']}}
+                         {'value': {'missingEntity': ['eff', 'foo']}}
                       )
                  ]}
              }
@@ -91,7 +91,7 @@ eff = effVal""")
         p = getParser(mergefile)
         p.readFile(mergefile)
         [m, n] = p.parse()
-        self.assertEqual(map(lambda e: e.key,  m), ["bar", "eff", "foo"])
+        self.assertEqual([e.key for e in m], ["bar", "eff", "foo"])
 
     def testError(self):
         self.assertTrue(os.path.isdir(self.tmp))
@@ -115,9 +115,9 @@ eff = leffVal
                  'children': [
                      ('l10n.properties',
                          {'value': {
-                          'error': [u'argument 1 `S` should be `d` '
-                                    u'at line 1, column 6 for bar'],
-                          'missingEntity': [u'foo']}}
+                          'error': ['argument 1 `S` should be `d` '
+                                    'at line 1, column 6 for bar'],
+                          'missingEntity': ['foo']}}
                       )
                  ]}
              }
@@ -151,7 +151,7 @@ eff = leffVal
              'details': {
                  'children': [
                      ('l10n.properties',
-                         {'value': {'obsoleteEntity': [u'other']}})]},
+                         {'value': {'obsoleteEntity': ['other']}})]},
              }
         )
 
@@ -189,7 +189,7 @@ class TestDTD(unittest.TestCase, ContentMixin):
              'details': {}
              }
         )
-        self.assert_(
+        self.assertTrue(
             not os.path.exists(os.path.join(cc.merge_stage, 'l10n.dtd')))
 
     def testMissing(self):
@@ -212,7 +212,7 @@ class TestDTD(unittest.TestCase, ContentMixin):
              'details': {
                  'children': [
                      ('l10n.dtd',
-                         {'value': {'missingEntity': [u'eff', u'foo']}}
+                         {'value': {'missingEntity': ['eff', 'foo']}}
                       )
                  ]}
              }
@@ -222,7 +222,7 @@ class TestDTD(unittest.TestCase, ContentMixin):
         p = getParser(mergefile)
         p.readFile(mergefile)
         [m, n] = p.parse()
-        self.assertEqual(map(lambda e: e.key,  m), ["bar", "eff", "foo"])
+        self.assertEqual([e.key for e in m], ["bar", "eff", "foo"])
 
     def testJunk(self):
         self.assertTrue(os.path.isdir(self.tmp))
@@ -247,9 +247,9 @@ class TestDTD(unittest.TestCase, ContentMixin):
                  'children': [
                      ('l10n.dtd',
                          {'value': {
-                             'error': [u'Unparsed content "<!ENTY bar '
-                                       u'\'gimmick\'>" at 23-44'],
-                             'missingEntity': [u'bar']}}
+                             'error': ['Unparsed content "<!ENTY bar '
+                                       '\'gimmick\'>" at 23-44'],
+                             'missingEntity': ['bar']}}
                       )
                  ]}
              }
@@ -259,7 +259,7 @@ class TestDTD(unittest.TestCase, ContentMixin):
         p = getParser(mergefile)
         p.readFile(mergefile)
         [m, n] = p.parse()
-        self.assertEqual(map(lambda e: e.key,  m), ["foo", "eff", "bar"])
+        self.assertEqual([e.key for e in m], ["foo", "eff", "bar"])
 
 if __name__ == '__main__':
     unittest.main()
diff --git a/python/compare-locales/compare_locales/tests/test_properties.py b/python/compare-locales/compare_locales/tests/test_properties.py
index 331a1a57c7..ad3ec0638a 100644
--- a/python/compare-locales/compare_locales/tests/test_properties.py
+++ b/python/compare-locales/compare_locales/tests/test_properties.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
@@ -22,8 +21,8 @@ two_lines_triple = This line is one of two and ends in \\\
 and still has another line coming
 ''', (
             ('one_line', 'This is one line'),
-            ('two_line', u'This is the first of two lines'),
-            ('one_line_trailing', u'This line ends in \\'),
+            ('two_line', 'This is the first of two lines'),
+            ('one_line_trailing', 'This line ends in \\'),
             ('_junk_\\d+_113-126$', 'and has junk\n'),
             ('two_lines_triple', 'This line is one of two and ends in \\'
              'and still has another line coming')))
@@ -41,11 +40,11 @@ and still has another line coming
     def test_bug121341(self):
         # port of xpcom/tests/unit/test_bug121341.js
         self.parser.readContents(self.resource('bug121341.properties'))
-        ref = ['abc', 'xy', u"\u1234\t\r\n\u00AB\u0001\n",
+        ref = ['abc', 'xy', "\u1234\t\r\n\u00AB\u0001\n",
                "this is multiline property",
-               "this is another multiline property", u"test\u0036",
-               "yet another multiline propery", u"\ttest5\u0020", " test6\t",
-               u"c\uCDEFd", u"\uABCD"]
+               "this is another multiline property", "test\u0036",
+               "yet another multiline propery", "\ttest5\u0020", " test6\t",
+               "c\uCDEFd", "\uABCD"]
         i = iter(self.parser)
         for r, e in zip(ref, i):
             self.assertEqual(e.val, r)
@@ -64,7 +63,7 @@ and an end''', (('bar', 'one line with a # part that looks like a comment '
 
 foo=value
 ''', (('foo', 'value'),))
-        self.assert_('MPL' in self.parser.header)
+        self.assertTrue('MPL' in self.parser.header)
 
     def test_escapes(self):
         self.parser.readContents(r'''
diff --git a/python/compare-locales/compare_locales/tests/test_util.py b/python/compare-locales/compare_locales/tests/test_util.py
index fd2d2c92ba..badf6c5c26 100644
--- a/python/compare-locales/compare_locales/tests/test_util.py
+++ b/python/compare-locales/compare_locales/tests/test_util.py
@@ -9,19 +9,19 @@ from compare_locales import util
 
 class ParseLocalesTest(unittest.TestCase):
     def test_empty(self):
-        self.assertEquals(util.parseLocales(''), [])
+        self.assertEqual(util.parseLocales(''), [])
 
     def test_all(self):
-        self.assertEquals(util.parseLocales('''af
+        self.assertEqual(util.parseLocales('''af
 de'''), ['af', 'de'])
 
     def test_shipped(self):
-        self.assertEquals(util.parseLocales('''af
+        self.assertEqual(util.parseLocales('''af
 ja win mac
 de'''), ['af', 'de', 'ja'])
 
     def test_sparse(self):
-        self.assertEquals(util.parseLocales('''
+        self.assertEqual(util.parseLocales('''
 af
 
 de
diff --git a/python/compare-locales/compare_locales/tests/test_webapps.py b/python/compare-locales/compare_locales/tests/test_webapps.py
index 2f12236490..cfb3cfed6f 100644
--- a/python/compare-locales/compare_locales/tests/test_webapps.py
+++ b/python/compare-locales/compare_locales/tests/test_webapps.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
@@ -22,7 +21,7 @@ class TestFileComparison(unittest.TestCase):
         filecomp = self.mock_FileComparison(_listdir)
         filecomp.files()
         self.assertEqual(filecomp.locales(), [])
-        self.assertEqual(filecomp._reference.keys(), ['my_app'])
+        self.assertEqual(list(filecomp._reference.keys()), ['my_app'])
         file_ = filecomp._reference['my_app']
         self.assertEqual(file_.file, 'locales/my_app.en-US.properties')
 
@@ -36,6 +35,6 @@ class TestFileComparison(unittest.TestCase):
         filecomp.files()
         self.assertEqual(filecomp.locales(),
                          ['ar', 'sr-Latn', 'sv-SE'])
-        self.assertEqual(filecomp._files['ar'].keys(), ['my_app'])
+        self.assertEqual(list(filecomp._files['ar'].keys()), ['my_app'])
         file_ = filecomp._files['ar']['my_app']
         self.assertEqual(file_.file, 'locales/my_app.ar.properties')
diff --git a/python/compare-locales/compare_locales/webapps.py b/python/compare-locales/compare_locales/webapps.py
index 42f5b56578..4181668255 100644
--- a/python/compare-locales/compare_locales/webapps.py
+++ b/python/compare-locales/compare_locales/webapps.py
@@ -80,7 +80,7 @@ class Manifest(object):
     def load_and_parse(self):
         try:
             manifest = json.load(open(self.file.fullpath))
-        except (ValueError, IOError), e:
+        except (ValueError, IOError) as e:
             if self.watcher:
                 self.watcher.notify('error', self.file, str(e))
             return False
@@ -96,11 +96,11 @@ class Manifest(object):
         rv = defaultdict(dict)
         localizable = manifest_fragment.pop('locales', {})
         if localizable:
-            for locale, keyvalue in localizable.iteritems():
-                for key, value in keyvalue.iteritems():
+            for locale, keyvalue in localizable.items():
+                for key, value in keyvalue.items():
                     key = '.'.join(['locales', 'AB_CD', key])
                     rv[locale][key] = value
-        for key, sub_manifest in manifest_fragment.iteritems():
+        for key, sub_manifest in manifest_fragment.items():
             if not isinstance(sub_manifest, dict):
                 continue
             subdict = self.extract_manifest_strings(sub_manifest)
@@ -108,7 +108,7 @@ class Manifest(object):
                 for locale, keyvalue in subdict:
                     rv[locale].update((key + '.' + subkey, value)
                                       for subkey, value
-                                      in keyvalue.iteritems())
+                                      in keyvalue.items())
         return rv
 
     def compare(self, locales):
@@ -166,7 +166,7 @@ class FileComparison(object):
         '''Get the locales present in the webapp
         '''
         self.files()
-        locales = self._files.keys()
+        locales = list(self._files.keys())
         locales.sort()
         return locales
 
diff --git a/python/compare-locales/mach_commands.py b/python/compare-locales/mach_commands.py
index 7be6a50e75..ad287185a8 100644
--- a/python/compare-locales/mach_commands.py
+++ b/python/compare-locales/mach_commands.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this,
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
+from __future__ import print_function
 from mach.decorators import (
     CommandArgument,
     CommandProvider,
@@ -78,4 +78,4 @@ class CompareLocales(MachCommandBase):
         app = EnumerateApp(l10n_ini, l10n_base, locales)
         observer = compareApp(app, merge_stage=merge_dir,
                               clobber=True)
-        print(observer.serialize())
+        print((observer.serialize()))
